#include <bits/stdc++.h>

using namespace std;

int main() {
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    long long h, w;
    cin >> h >> w;
    long long ans = 2 * h * w;
    while (h > 1){
        ans += h * w;
        h--;
    }
    cout << ans;
}
